<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Azmayesh extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function azmayeshSamples(): HasMany
    {
        return $this->hasMany(AzmayeshSample::class);
    }

    public function getRouteKeyName(): string
    {
        return 'id';
    }
}
